<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.15
Description: Beinhaltet die Hinweise auf noch ausstehende Befunde in narrativer Form als Information für den Dokumentempfänger.In vorläufigen Entlassungsdokumenten sind oftmals noch nicht
                alle Befunde ausformuliert. Diese Sektion dient dazu, die noch ausstehenden Befunde als Information für den Dokumentempfänger bekanntzugeben. Dabei soll ein kurzer Vermerk für jeden
                ausstehenden Befund angegeben werden.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.15">
   <title>Ausstehende Befunde</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]
Item: (TMP AusstehendeBefunde)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section
Item: (TMP AusstehendeBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section"
         id="tmp-3b77a253-89d1-41a0-b03e-63ba9585c563">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.15.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.15'])&gt;=1 ">(TMP AusstehendeBefunde): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.15'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.15.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.15'])&lt;=1">(TMP AusstehendeBefunde): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.15'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.15.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP AusstehendeBefunde): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.15.html"
              test="count(hl7:code)&lt;=1">(TMP AusstehendeBefunde): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.15.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(TMP AusstehendeBefunde): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.15.html"
              test="count(hl7:title)&lt;=1">(TMP AusstehendeBefunde): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.15.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP AusstehendeBefunde): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.15.html"
              test="count(hl7:text)&lt;=1">(TMP AusstehendeBefunde): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.15']
Item: (TMP AusstehendeBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.15']"
         id="tmp-c24744b8-ef53-42b5-a048-bf6485ffd0a6">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.15.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP AusstehendeBefunde): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.15.html"
              test="@root='1.2.40.0.34.11.2.2.15'">(TMP AusstehendeBefunde): @root MUSS den Wert '1.2.40.0.34.11.2.2.15' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.15.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP AusstehendeBefunde): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section/hl7:code
Item: (TMP AusstehendeBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section/hl7:code"
         id="tmp-56e2a919-73db-43af-ac04-f8e140a157cc">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.15.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP AusstehendeBefunde): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.15.html"
              test="@nullFlavor or (@code='BEFAUS' and @codeSystem='1.2.40.0.34.5.40')">(TMP AusstehendeBefunde): Der Wert von @code/@codeSystem MUSS 'BEFAUS' codeSystem '1.2.40.0.34.5.40' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section/hl7:title
Item: (TMP AusstehendeBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section/hl7:title"
         id="tmp-d4cba43f-4fed-4dac-bf70-624b71790f3b">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.15.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP AusstehendeBefunde): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.15.html"
              test="text()='Ausstehende Befunde'">(TMP AusstehendeBefunde): Der Elementinhalt von 'hl7:title' MUSS ''Ausstehende Befunde'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section/hl7:text
Item: (TMP AusstehendeBefunde)
-->
</pattern>