<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.18
Description: Anamnese des Patienten.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.18">
   <title>Anamnese (ärztlich)</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.18
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]
Item: (TMP AnamneseÄrztlich)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.18
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]/hl7:section
Item: (TMP AnamneseÄrztlich)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]/hl7:section"
         id="tmp-83f15c17-5dbf-4cc0-b320-d576c35e369c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.18.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.18'])&gt;=1 ">(TMP AnamneseÄrztlich): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.18'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.18.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.18'])&lt;=1">(TMP AnamneseÄrztlich): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.18'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.18.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.4'])&gt;=1 ">(TMP AnamneseÄrztlich): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.4'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.18.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.4'])&lt;=1">(TMP AnamneseÄrztlich): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.4'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.18.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP AnamneseÄrztlich): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.18.html"
              test="count(hl7:code)&lt;=1">(TMP AnamneseÄrztlich): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.18.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(TMP AnamneseÄrztlich): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.18.html"
              test="count(hl7:title)&lt;=1">(TMP AnamneseÄrztlich): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.18.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP AnamneseÄrztlich): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.18.html"
              test="count(hl7:text)&lt;=1">(TMP AnamneseÄrztlich): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.18
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.18']
Item: (TMP AnamneseÄrztlich)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.18']"
         id="tmp-4d1ba622-aaa0-4abe-9b41-1036afa74185">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.18.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP AnamneseÄrztlich): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.18.html"
              test="@root='1.2.40.0.34.11.2.2.18'">(TMP AnamneseÄrztlich): @root MUSS den Wert '1.2.40.0.34.11.2.2.18' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.18.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP AnamneseÄrztlich): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.18
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.4']
Item: (TMP AnamneseÄrztlich)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.4']"
         id="tmp-0f71e5fe-dc6e-400d-86c5-23dfb576d489">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.18.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP AnamneseÄrztlich): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.18.html"
              test="@root='1.3.6.1.4.1.19376.1.5.3.1.3.4'">(TMP AnamneseÄrztlich): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.3.4' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.18.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP AnamneseÄrztlich): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.18
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]/hl7:section/hl7:code
Item: (TMP AnamneseÄrztlich)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]/hl7:section/hl7:code"
         id="tmp-f0e71d79-9783-4794-b6a5-4aaf0fc4b8df">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.18.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP AnamneseÄrztlich): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.18.html"
              test="@nullFlavor or (@code='10164-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='History of present illness')">(TMP AnamneseÄrztlich): Der Wert von @code/@codeSystem MUSS '10164-2' codeSystem '2.16.840.1.113883.6.1' displayName='History of present illness' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.18
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]/hl7:section/hl7:title
Item: (TMP AnamneseÄrztlich)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]/hl7:section/hl7:title"
         id="tmp-d17d7a4d-18aa-40ba-8009-017a898390ec">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.18.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP AnamneseÄrztlich): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.18.html"
              test="text()='Anamnese'">(TMP AnamneseÄrztlich): Der Elementinhalt von 'hl7:title' MUSS ''Anamnese'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.18
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]/hl7:section/hl7:text
Item: (TMP AnamneseÄrztlich)
-->
</pattern>