<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.2
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.2">
   <title>Entlassungsdiagnose (enhanced)</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]
Item: (TMP EntlassungsdiagnoseEnhanced)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section
Item: (TMP EntlassungsdiagnoseEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section"
         id="tmp-d07bec16-d927-4292-af34-dc43a4baa739">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.2'])&gt;=1 ">(TMP EntlassungsdiagnoseEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.2'])&lt;=1">(TMP EntlassungsdiagnoseEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.2'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.2']
Item: (TMP EntlassungsdiagnoseEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.2']"
         id="tmp-573aa963-b4d7-426d-949f-6bb2f2feaed8">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP EntlassungsdiagnoseEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@root='1.2.40.0.34.11.2.2.2'">(TMP EntlassungsdiagnoseEnhanced): @root MUSS den Wert '1.2.40.0.34.11.2.2.2' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP EntlassungsdiagnoseEnhanced): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:code
Item: (TMP EntlassungsdiagnoseEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:code"
         id="tmp-722d5b6d-fb87-4bb3-a694-0c4af7a87bcd">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP EntlassungsdiagnoseEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@nullFlavor or (@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')">(TMP EntlassungsdiagnoseEnhanced): Der Wert von @code/@codeSystem MUSS '11535-2' codeSystem '2.16.840.1.113883.6.1' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section
Item: (TMP EntlassungsdiagnoseEnhanced)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:title
Item: (TMP EntlassungsdiagnoseEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:title"
         id="tmp-507155ed-5508-4693-a4f6-9f5c8cdace84">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP EntlassungsdiagnoseEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.2.html"
              test="text()='Entlassungsdiagnosen' or text()='Diagnosen bei Entlassung'">(TMP EntlassungsdiagnoseEnhanced): Der Elementinhalt von 'hl7:title' MUSS ''Entlassungsdiagnosen' oder 'Diagnosen bei Entlassung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:title
Item: (TMP EntlassungsdiagnoseEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:title"
         id="tmp-51dcbc6b-d3ba-4333-b4b2-c5edd69fc15e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP EntlassungsdiagnoseEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.2.html"
              test="text()='Diagnosen bei Entlassung'">(TMP EntlassungsdiagnoseEnhanced): Der Elementinhalt von 'hl7:title' MUSS ''Diagnosen bei Entlassung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:text
Item: (TMP EntlassungsdiagnoseEnhanced)
-->
</pattern>