<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.5
Description: Die zuletzt im Spital gegebene Medikation.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.5">
   <title>Letzte Medikation</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]
Item: (TMP LetzteMedikation)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section
Item: (TMP LetzteMedikation)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section"
         id="tmp-cea7b455-a5d0-44eb-b64b-d132333b406e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.5.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.5'])&gt;=1 ">(TMP LetzteMedikation): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.5.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.5'])&lt;=1">(TMP LetzteMedikation): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.5'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.5.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP LetzteMedikation): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.5.html"
              test="count(hl7:code)&lt;=1">(TMP LetzteMedikation): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.5.html"
              test="count(hl7:title)&gt;=1 ">(TMP LetzteMedikation): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.5.html"
              test="count(hl7:title)&lt;=1">(TMP LetzteMedikation): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.5.html"
              test="count(hl7:text)&gt;=1 ">(TMP LetzteMedikation): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.5.html"
              test="count(hl7:text)&lt;=1">(TMP LetzteMedikation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.5']
Item: (TMP LetzteMedikation)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.5']"
         id="tmp-a914ab36-982f-4aed-bbf7-5aacb2b50238">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP LetzteMedikation): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.5.html"
              test="@root='1.2.40.0.34.11.2.2.5'">(TMP LetzteMedikation): @root MUSS den Wert '1.2.40.0.34.11.2.2.5' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP LetzteMedikation): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section/hl7:code
Item: (TMP LetzteMedikation)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section/hl7:code"
         id="tmp-8281e5e4-e071-4178-a17b-bec4bd0f7ed4">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP LetzteMedikation): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.5.html"
              test="@nullFlavor or (@code='10160-0' and @codeSystem='2.16.840.1.113883.6.1')">(TMP LetzteMedikation): Der Wert von @code/@codeSystem MUSS '10160-0' codeSystem '2.16.840.1.113883.6.1' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section/hl7:title
Item: (TMP LetzteMedikation)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section/hl7:title"
         id="tmp-52c190e4-0b2f-40ec-b255-a126ff5d765f">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.5.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP LetzteMedikation): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.5.html"
              test="text()='Letzte Medikation'">(TMP LetzteMedikation): Der Elementinhalt von 'hl7:title' MUSS ''Letzte Medikation'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section/hl7:text
Item: (TMP LetzteMedikation)
-->
</pattern>