<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.2.1
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.3.2.1">
   <title>Pflege- und Betreuungsdiagnosen (enhanced)</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section"
         id="tmp-7b26bb45-0ca5-482e-8fab-b58a80d97c2d">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.1'])&gt;=1 ">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.1'])&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:entry)=0">(TMP PflegeBetreuungsdiagnosenEnhanced): element hl7:entry MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.1']
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.1']"
         id="tmp-1ffec607-1893-4b27-84e1-ce8074ab5129">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@root='1.2.40.0.34.11.3.2.1'">(TMP PflegeBetreuungsdiagnosenEnhanced): @root MUSS den Wert '1.2.40.0.34.11.3.2.1' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP PflegeBetreuungsdiagnosenEnhanced): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:effectiveTime[2]
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:doseQuantity
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship"
         id="tmp-5e891159-252a-4e02-b125-e6ec0946df5e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@typeCode='COMP' ">(TMP PflegeBetreuungsdiagnosenEnhanced): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:sequenceNumber)&gt;=1 and not(hl7:sequenceNumber/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:sequenceNumber ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:substanceAdministration)&gt;=1 and not(hl7:substanceAdministration/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:substanceAdministration ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:substanceAdministration)&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:substanceAdministration kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:sequenceNumber
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:sequenceNumber"
         id="tmp-73632a5b-0078-44e5-8403-97b2a87d247e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "INT" oder der Datentype MUSS "INT" sein</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="$digitok">(TMP PflegeBetreuungsdiagnosenEnhanced): @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration"
         id="tmp-ffb5bd6d-9b73-4622-90c3-38e8f86a3488">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@classCode='SBADM' ">(TMP PflegeBetreuungsdiagnosenEnhanced): Der Wert von @classCode MUSS 'SBADM' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@moodCode='EVN' ">(TMP PflegeBetreuungsdiagnosenEnhanced): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'])&gt;=1 ">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'])&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:doseQuantity)&gt;=1 and not(hl7:doseQuantity/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:doseQuantity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:doseQuantity)&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:doseQuantity kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:consumable ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:consumable)&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:consumable kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']"
         id="tmp-065a98b7-96e6-40d3-bc4f-b38c4878712d">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'">(TMP PflegeBetreuungsdiagnosenEnhanced): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.4.7.1' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP PflegeBetreuungsdiagnosenEnhanced): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime"
         id="tmp-2670b72b-beac-4da4-b568-3c3abb04163e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or @xsi:type='' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "" oder der Datentype MUSS "" sein</assert>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@operator='A' ">(TMP PflegeBetreuungsdiagnosenEnhanced): Der Wert von @operator MUSS 'A' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:comp[hl7:event])&gt;=1 ">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:comp[hl7:event] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:comp[hl7:event])&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:comp[hl7:event] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:comp[hl7:phase])&gt;=1 ">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:comp[hl7:phase] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:comp[hl7:phase])&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:comp[hl7:phase] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]"
         id="tmp-c999f794-709a-4c5a-8f21-ef435f418101">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or @xsi:type='' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "" oder der Datentype MUSS "" sein</assert>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:event)&gt;=1 and not(hl7:event/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:event ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:event)&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:event kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]/hl7:event
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]/hl7:event"
         id="tmp-82bcca9e-3697-4375-bda9-521816f5fba0">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ELGA_TimingEvent-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ELGA_TimingEvent-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP PflegeBetreuungsdiagnosenEnhanced): Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_TimingEvent DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]"
         id="tmp-68ccf7f6-0d80-4604-9bf7-63fe20ff0eba">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or @xsi:type='' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "" oder der Datentype MUSS "" sein</assert>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@operator='A' ">(TMP PflegeBetreuungsdiagnosenEnhanced): Der Wert von @operator MUSS 'A' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:phase)&gt;=1 ">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:phase ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:phase)&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:phase kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:period)&gt;=1 ">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:period ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:period)&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:period kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase"
         id="tmp-32a7e3e9-af11-4421-9489-02748ffef507">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_TS" oder der Datentype MUSS "IVL_TS" sein</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase/hl7:width
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase/hl7:width"
         id="tmp-34bea87c-1e21-4e34-a4b6-c8bdb87ba352">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "PQ" oder der Datentype MUSS "PQ" sein</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="$digitok">(TMP PflegeBetreuungsdiagnosenEnhanced): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(TMP PflegeBetreuungsdiagnosenEnhanced): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@unit='d' ">(TMP PflegeBetreuungsdiagnosenEnhanced): Der Wert von @unit MUSS 'd' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:period
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:period"
         id="tmp-752e4932-1d4a-4635-b54f-f6d0162cb2d2">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "PQ" oder der Datentype MUSS "PQ" sein</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="$digitok">(TMP PflegeBetreuungsdiagnosenEnhanced): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(TMP PflegeBetreuungsdiagnosenEnhanced): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@unit='d' ">(TMP PflegeBetreuungsdiagnosenEnhanced): Der Wert von @unit MUSS 'd' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:doseQuantity
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:doseQuantity"
         id="tmp-b869142c-7567-49fa-8816-a6b10b7da3ec">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or @xsi:type='IVL_PQ' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_PQ" oder der Datentype MUSS "IVL_PQ" sein</assert>
      <extends rule="IVL_PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="not(hl7:low/@value) or matches(hl7:low/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP PflegeBetreuungsdiagnosenEnhanced): value/low @value is not a valid PQ number <value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="not(hl7:high/@value) or matches(hl7:high/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP PflegeBetreuungsdiagnosenEnhanced): value/high @value is not a valid PQ number <value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="not(hl7:center/@value) or matches(hl7:center/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP PflegeBetreuungsdiagnosenEnhanced): value/center @value is not a valid PQ number <value-of select="hl7:center/@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable"
         id="tmp-11d51040-c4da-4a36-b4a7-d48c7f3045b4">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:manufacturedProduct ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:manufacturedProduct kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct"
         id="tmp-d2eea78b-f2ef-4949-a705-42d5cb889a63">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:manufacturedMaterial ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:manufacturedMaterial kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-740d57d5-b74f-4e50-a4c7-9f609032831b">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor='NA'">(TMP PflegeBetreuungsdiagnosenEnhanced): Der Wert von @nullFlavor MUSS 'NA' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entry
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->
</pattern>