<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.30001
Description: CDA Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.30001">
   <title>BodySection</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section
Item: (TMP BodySection)
-->

<rule context="//section" id="tmp-fc8171f6-f8a8-4636-9647-cc73a87c4b3e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:id)&lt;=1">(TMP BodySection): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:code)&lt;=1">(TMP BodySection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:title)&gt;=1 ">(TMP BodySection): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:title)&lt;=1">(TMP BodySection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:text)&gt;=1 ">(TMP BodySection): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:text)&lt;=1">(TMP BodySection): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:templateId
Item: (TMP BodySection)
-->

<rule context="//section/hl7:templateId"
         id="tmp-3f182311-117c-4577-af10-bf920975c470">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:id
Item: (TMP BodySection)
-->

<rule context="//section/hl7:id" id="tmp-ce650c11-3d09-42b5-b566-b059fd0b64d1">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:code
Item: (TMP BodySection)
-->

<rule context="//section/hl7:code" id="tmp-02f53ed0-351e-4b1e-aeb5-97b1e8c6d5a7">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:title
Item: (TMP BodySection)
-->

<rule context="//section/hl7:title" id="tmp-92d164e7-d6ba-4bb2-b753-b76a744bb055">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:text
Item: (TMP BodySection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author" id="tmp-c77e23c1-feba-4926-bf89-3f666eb095f4">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@typeCode='AUT' or not(@typeCode)">(TMP BodySection): Der Wert von @typeCode MUSS 'AUT' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@contextControlCode='OP' or not(@contextControlCode)">(TMP BodySection): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:functionCode)&lt;=1">(TMP BodySection): Element hl7:functionCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:time)&gt;=1 ">(TMP BodySection): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:time)&lt;=1">(TMP BodySection): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:assignedAuthor)&gt;=1 ">(TMP BodySection): Element hl7:assignedAuthor ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:assignedAuthor)&lt;=1">(TMP BodySection): Element hl7:assignedAuthor kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:functionCode
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:functionCode"
         id="tmp-71a3d239-9a9c-49c7-af3d-fcddc5c374ef">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:time
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:time"
         id="tmp-be1a0c7a-b8c6-49e9-97fa-3b6c62d6ada1">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TS" oder der Datentype MUSS "TS" sein</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor"
         id="tmp-3f8c127a-422b-4e2a-bc7a-ed5559ff875e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(TMP BodySection): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:id)&gt;=1 ">(TMP BodySection): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:code)&lt;=1">(TMP BodySection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount" value="count(hl7:assignedPerson|hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="$elmcount&gt;=1">(TMP BodySection): Auswahl (hl7:assignedPerson oder hl7:assignedAuthoringDevice) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="$elmcount&lt;=1">(TMP BodySection): Auswahl (hl7:assignedPerson oder hl7:assignedAuthoringDevice) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:representedOrganization)&gt;=1 and not(hl7:representedOrganization/@nullFlavor)">(TMP BodySection): Element hl7:representedOrganization ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:representedOrganization)&lt;=1">(TMP BodySection): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:id
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:id"
         id="tmp-565872c0-68d3-4ff4-a34c-17e17890f29c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:code
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:code"
         id="tmp-c3b19561-8b21-4a18-8a7a-1553d0265879">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ELGA_AuthorSpeciality-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ELGA_AuthorSpeciality-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP BodySection): Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_AuthorSpeciality DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:telecom"
         id="tmp-813b5b58-4291-450d-8a7a-c3037229e803">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor"
         id="tmp-ebd83d95-5351-4c40-b60c-bad0a4e67086">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(TMP BodySection): Element hl7:assignedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:assignedPerson)&lt;=1">(TMP BodySection): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:assignedAuthoringDevice)&gt;=1 and not(hl7:assignedAuthoringDevice/@nullFlavor)">(TMP BodySection): Element hl7:assignedAuthoringDevice ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:assignedAuthoringDevice)&lt;=1">(TMP BodySection): Element hl7:assignedAuthoringDevice kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-7bf245b0-761f-49d0-b284-92b6be9befc2">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@classCode='PSN' or not(@classCode)">(TMP BodySection): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(TMP BodySection): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-ff9f0c9e-f88d-4813-b7c7-4546dbf668f3">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "PN" oder der Datentype MUSS "PN" sein</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice"
         id="tmp-ea499269-7a69-4c4b-8c68-acf4ef0672f6">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@classCode='DEV' or not(@classCode)">(TMP BodySection): Der Wert von @classCode MUSS 'DEV' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(TMP BodySection): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:manufacturerModelName)&gt;=1 ">(TMP BodySection): Element hl7:manufacturerModelName ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:manufacturerModelName)&lt;=1">(TMP BodySection): Element hl7:manufacturerModelName kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:softwareName)&gt;=1 ">(TMP BodySection): Element hl7:softwareName ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:softwareName)&lt;=1">(TMP BodySection): Element hl7:softwareName kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName"
         id="tmp-313210fd-09c2-43f6-ba43-925abd424c0b">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "" oder der Datentype MUSS "" sein</assert>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName"
         id="tmp-e1d13f1b-5567-4677-8ab5-72a5d1797a0d">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "" oder der Datentype MUSS "" sein</assert>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-629f107d-5758-4fa7-aa8a-43265d9260fe">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@classCode='ORG' or not(@classCode)">(TMP BodySection): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(TMP BodySection): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="tmp-a89629aa-757f-4cc8-94ab-8920dfa0327d">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-550e9a89-a054-4f80-a66a-955a946fd37d">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ON" oder der Datentype MUSS "ON" sein</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-491915e9-2796-4298-87fa-b0840fea394a">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-539d7d4f-cfa4-4d44-a509-73c3623632c1">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "AD" oder der Datentype MUSS "AD" sein</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:entry
Item: (TMP BodySection)
-->
</pattern>