<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.4.3.1
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.4.3.1">
   <title>Laboratory Specimen Entry</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]
Item: (TMP LaboratorySpecimenEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry
Item: (TMP LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry"
         id="tmp-71640e80-2422-4b5f-81f2-7b5832490471">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.3.1'])&gt;=1 ">(TMP LaboratorySpecimenEntry): Element hl7:templateId[@root='1.2.40.0.34.11.4.3.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.3.1'])&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:templateId[@root='1.2.40.0.34.11.4.3.1'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:templateId[@root='1.2.40.0.34.11.4.3.1']
Item: (TMP LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:templateId[@root='1.2.40.0.34.11.4.3.1']"
         id="tmp-ef098819-38a5-47f9-ad3f-7b7c69ab4ffd">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@root='1.2.40.0.34.11.4.3.1'">(TMP LaboratorySpecimenEntry): @root MUSS den Wert '1.2.40.0.34.11.4.3.1' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP LaboratorySpecimenEntry): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act
Item: (TMP LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act"
         id="tmp-b1b63b29-4c9c-4dab-8c2d-5f370dcd90b3">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@classCode='ACT' ">(TMP LaboratorySpecimenEntry): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@moodCode='EVN' ">(TMP LaboratorySpecimenEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:code)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]])&gt;=1 and not(hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:code
Item: (TMP LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:code"
         id="tmp-3ceb3e7d-79f2-40f0-a413-5d2b66da4df2">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CD" oder der Datentype MUSS "CD" sein</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or (@code='10' and @codeSystem='1.2.40.0.34.5.47' and @displayName='Probeninformation' and @codeSystemName='ELGA_Laborstruktur')">(TMP LaboratorySpecimenEntry): Der Wert von @code/@codeSystem MUSS '10' codeSystem '1.2.40.0.34.5.47' displayName='Probeninformation' codeSystemName='ELGA_Laborstruktur' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (TMP LaboratorySpecimenEntry)
-->











<!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (TMP LaboratorySpecimenEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (TMP LaboratorySpecimenEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure"
         id="tmp-a58f412e-ea6c-424f-8df2-6a69a38cba2e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@classCode='PROC' ">(TMP LaboratorySpecimenEntry): Der Wert von @classCode MUSS 'PROC' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@moodCode='EVN' ">(TMP LaboratorySpecimenEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'])&gt;=1 ">(TMP LaboratorySpecimenEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'])&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:code)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:targetSiteCode)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:targetSiteCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:perfomer)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:perfomer kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:participant ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:participant)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:participant kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']"
         id="tmp-04f4568e-2610-4c16-8235-968c283622e9">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@root='1.3.6.1.4.1.19376.1.3.1.2'">(TMP LaboratorySpecimenEntry): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.1.2' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP LaboratorySpecimenEntry): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:code
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:code"
         id="tmp-eee240db-ec10-44b7-86b7-9084bfcf681f">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CD" oder der Datentype MUSS "CD" sein</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or (@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Specimen Collection' and @codeSystemName='LOINC')">(TMP LaboratorySpecimenEntry): Der Wert von @code/@codeSystem MUSS '33882-2' codeSystem '2.16.840.1.113883.6.1' displayName='Specimen Collection' codeSystemName='LOINC' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime"
         id="tmp-9da30515-a433-43d9-9b15-e15dcb528951">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_TS" oder der Datentype MUSS "IVL_TS" sein</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:low ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:low)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:high ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:high)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime/hl7:low
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime/hl7:low"
         id="tmp-a84f0c86-ed04-4b5a-a90b-fd807649ec18">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TS" oder der Datentype MUSS "TS" sein</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime/hl7:high
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime/hl7:high"
         id="tmp-9f98e523-4fae-4d84-9929-059f34771956">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TS" oder der Datentype MUSS "TS" sein</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:targetSiteCode
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:targetSiteCode"
         id="tmp-ed9c154b-ccad-49f0-8f9d-081b48c1e6d0">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CD" oder der Datentype MUSS "CD" sein</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1052' and @codeSystemName='ActSite')">(TMP LaboratorySpecimenEntry): Der Wert von @codeSystem MUSS '2.16.840.1.113883.5.1052' codeSystemName='ActSite' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer"
         id="tmp-00ae12c0-9eaa-4c47-9a5a-c7ab1dd28b36">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@typeCode='PRF' ">(TMP LaboratorySpecimenEntry): Der Wert von @typeCode MUSS 'PRF' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:assignedEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:assignedEntity)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:assignedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity
Item: (TMP LaboratorySpecimenEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:id
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:id"
         id="tmp-2aec24e9-fafa-471a-9881-19e4c4b754d3">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:addr
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:addr"
         id="tmp-687eba5c-1507-4a1e-aeab-aa135ea995be">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "AD" oder der Datentype MUSS "AD" sein</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:telecom
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:telecom"
         id="tmp-3a870912-ef48-4b00-a5ee-64bd442ca6a5">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-1211c20a-3da4-46fd-bc97-547cbded9288">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@classCode='PSN' or not(@classCode)">(TMP LaboratorySpecimenEntry): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(TMP LaboratorySpecimenEntry): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-5bf4200a-ed38-4329-9f20-0018c03c51e3">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "PN" oder der Datentype MUSS "PN" sein</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-a2dc29c5-bc81-4eb1-829d-6790ed412e04">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@classCode='ORG' or not(@classCode)">(TMP LaboratorySpecimenEntry): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(TMP LaboratorySpecimenEntry): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-fe3d6d98-a833-4df9-a213-46eb5c15ee8d">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-7c5dce09-6fa1-47f2-88cd-f490cb59ac2c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ON" oder der Datentype MUSS "ON" sein</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-a1f76de7-b877-4183-9d64-c52017f2c9f2">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-2903580e-f5d9-419d-8484-08b23e94ce2e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "AD" oder der Datentype MUSS "AD" sein</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant"
         id="tmp-1c4831ce-0629-47b5-84af-485bf9d3d805">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@typeCode='PRD' ">(TMP LaboratorySpecimenEntry): Der Wert von @typeCode MUSS 'PRD' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:participantRole)&gt;=1 and not(hl7:participantRole/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:participantRole ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:participantRole)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:participantRole kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole"
         id="tmp-cd0f661e-18b3-46da-9146-c70171591f0f">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@classCode='SPEC' ">(TMP LaboratorySpecimenEntry): Der Wert von @classCode MUSS 'SPEC' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:id)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:playingEntity)&gt;=1 and not(hl7:playingEntity/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:playingEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:playingEntity)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:playingEntity kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:id
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:id"
         id="tmp-8749b408-1602-4108-9298-2a586984e568">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:playingEntity
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:playingEntity"
         id="tmp-234fa7c5-3cb5-4fe6-84d3-a8a756748286">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:code)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:code kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:code
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:code"
         id="tmp-3e4fb853-21ea-4c32-be0e-57e1b43f4bd2">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>