<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.5
Description: Template Spezieller Implementierungsleitfaden ELGA Befund Bildgebende Diagnostik
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.5">
   <title>Befund Bildgebende Diagnostik</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']"
         id="tmp-34bccd78-4940-4d41-8587-db93afc1f353">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5'])&gt;=1 ">elga-cdabgd: Element hl7:templateId[@root='1.2.40.0.34.11.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5'])&lt;=1">elga-cdabgd: Element hl7:templateId[@root='1.2.40.0.34.11.5'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">elga-cdabgd: Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:code)&lt;=1">elga-cdabgd: Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">elga-cdabgd: Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:title)&lt;=1">elga-cdabgd: Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:participant[@typeCode='CALLBCK'])&gt;=1 and not(hl7:participant[@typeCode='CALLBCK']/@nullFlavor)">elga-cdabgd: Element hl7:participant[@typeCode='CALLBCK'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:participant[@typeCode='REF'])&lt;=1">elga-cdabgd: Element hl7:participant[@typeCode='REF'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:documentationOf)&gt;=1 and not(hl7:documentationOf/@nullFlavor)">elga-cdabgd: Element hl7:documentationOf ist mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:templateId[@root='1.2.40.0.34.11.5']
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:templateId[@root='1.2.40.0.34.11.5']"
         id="tmp-469319fa-e134-4324-ab3a-16ca907c85d6">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@root='1.2.40.0.34.11.5'">elga-cdabgd: @root MUSS den Wert '1.2.40.0.34.11.5' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdabgd: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:code
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:code"
         id="tmp-5c524851-b9e1-4243-ae08-1d0e6fff7ea6">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ELGA_Dokumentenklassen-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ELGA_Dokumentenklassen-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">elga-cdabgd: Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_Dokumentenklassen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:title
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:title"
         id="tmp-6820a5ed-04fc-4ad8-b0b4-42afc93c1d91">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']"
         id="tmp-e564f82b-f039-4be1-a442-a0e9878419aa">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@typeCode='CALLBCK' ">elga-cdabgd: Der Wert von @typeCode MUSS 'CALLBCK' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:associatedEntity)&gt;=1 and not(hl7:associatedEntity/@nullFlavor)">elga-cdabgd: Element hl7:associatedEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:associatedEntity)&lt;=1">elga-cdabgd: Element hl7:associatedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity"
         id="tmp-4544b8c6-06a6-4f3f-bce4-155a5b60b09d">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@classCode='PROV' ">elga-cdabgd: Der Wert von @classCode MUSS 'PROV' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:addr)&lt;=1">elga-cdabgd: Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)">elga-cdabgd: Element hl7:telecom ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:associatedPerson)&gt;=1 and not(hl7:associatedPerson/@nullFlavor)">elga-cdabgd: Element hl7:associatedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:associatedPerson)&lt;=1">elga-cdabgd: Element hl7:associatedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:scopingOrganization)&lt;=1">elga-cdabgd: Element hl7:scopingOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:addr
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:addr"
         id="tmp-9427256d-ae02-4e4f-9352-81c40de9e756">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "AD" oder der Datentype MUSS "AD" sein</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:telecom
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:telecom"
         id="tmp-d9e1febd-abd6-4445-934e-0142c3325127">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:associatedPerson
Item: elga-cdabgd
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:associatedPerson/hl7:name
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:associatedPerson/hl7:name"
         id="tmp-bda89aca-d952-4a6d-a9a9-5bc4dc3927eb">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "PN" oder der Datentype MUSS "PN" sein</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization
Item: elga-cdabgd
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id"
         id="tmp-08cae48f-e00c-4cbb-b7dc-c554dbdb08a5">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name"
         id="tmp-d8ecbef0-bc20-4872-925c-d622393cea24">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ON" oder der Datentype MUSS "ON" sein</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom"
         id="tmp-3be13ed6-4bbc-4095-a853-f5798f196552">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr"
         id="tmp-1599f3de-db4a-4890-9a92-e0b63104f8f3">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "AD" oder der Datentype MUSS "AD" sein</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']"
         id="tmp-c4c10d3b-fd6e-4f5f-b885-12dbabf4ff54">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@typeCode='REF' ">elga-cdabgd: Der Wert von @typeCode MUSS 'REF' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:functionCode)&gt;=1 and not(hl7:functionCode/@nullFlavor)">elga-cdabgd: Element hl7:functionCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:associatedEntity)&gt;=1 and not(hl7:associatedEntity/@nullFlavor)">elga-cdabgd: Element hl7:associatedEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:associatedEntity)&lt;=1">elga-cdabgd: Element hl7:associatedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:functionCode
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:functionCode"
         id="tmp-1fa41c2a-fd2e-45da-bce3-fe1b073cef2d">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or (@code='ADMPHYS')">elga-cdabgd: Der Wert von @code MUSS 'ADMPHYS' sein.</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ELGA_ParticipationFunctionCode-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ELGA_ParticipationFunctionCode-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">elga-cdabgd: Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_ParticipationFunctionCode DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity"
         id="tmp-c67cd53d-74e3-4c8a-9fd5-3805e8c773a1">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@classCode='PROV' ">elga-cdabgd: Der Wert von @classCode MUSS 'PROV' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:addr)&lt;=1">elga-cdabgd: Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:associatedPerson)&gt;=1 and not(hl7:associatedPerson/@nullFlavor)">elga-cdabgd: Element hl7:associatedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:associatedPerson)&lt;=1">elga-cdabgd: Element hl7:associatedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:scopingOrganization)&lt;=1">elga-cdabgd: Element hl7:scopingOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:id
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:id"
         id="tmp-e9dd6a2a-dfbe-4104-a340-4af0def929a9">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:addr
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:addr"
         id="tmp-605fad99-9275-43ee-b7b2-bd7f41404d6d">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "AD" oder der Datentype MUSS "AD" sein</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:telecom
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:telecom"
         id="tmp-0ca24ef8-5306-42d0-a665-590486fb298c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson
Item: elga-cdabgd
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson/hl7:name
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson/hl7:name"
         id="tmp-8dcd1852-a496-4fff-8eef-9b69539721ab">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "PN" oder der Datentype MUSS "PN" sein</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization
Item: elga-cdabgd
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id"
         id="tmp-7f2743d7-72e9-49d3-a3d1-591bcc652fe0">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name"
         id="tmp-0202a77b-abd8-4044-aa58-b298778981bb">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ON" oder der Datentype MUSS "ON" sein</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom"
         id="tmp-27896975-d7ab-4d53-aef3-5adba9de7cf7">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr"
         id="tmp-7103917f-7895-40ff-92c2-56195f8eb1a9">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "AD" oder der Datentype MUSS "AD" sein</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf"
         id="tmp-b1ab4dd6-7d99-4b2e-ad79-3da75e388f5f">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:serviceEvent)&gt;=1 and not(hl7:serviceEvent/@nullFlavor)">elga-cdabgd: Element hl7:serviceEvent ist mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent"
         id="tmp-2bd1dab4-de72-4d4b-b082-4753ee4f2009">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">elga-cdabgd: Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:code)&lt;=1">elga-cdabgd: Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">elga-cdabgd: Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:effectiveTime)&lt;=1">elga-cdabgd: Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:code
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:code"
         id="tmp-f95e2015-5e69-4058-8357-787df60fd3f5">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or (@codeSystem='1.2.40.0.34.5.38' and @codeSystemName='APPC')">elga-cdabgd: Der Wert von @codeSystem MUSS '1.2.40.0.34.5.38' codeSystemName='APPC' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime"
         id="tmp-d794557c-cbee-4efa-a36c-3929d0c32e4d">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_TS" oder der Datentype MUSS "IVL_TS" sein</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">elga-cdabgd: Element hl7:low ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:low)&lt;=1">elga-cdabgd: Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:high)&lt;=1">elga-cdabgd: Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime/hl7:low
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime/hl7:low"
         id="tmp-727933da-c423-4d61-9719-0693848fa91f">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TS" oder der Datentype MUSS "TS" sein</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime/hl7:high
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime/hl7:high"
         id="tmp-ca8132e3-4248-45f7-b307-9c055d75a853">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TS" oder der Datentype MUSS "TS" sein</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:perfomer
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:perfomer"
         id="tmp-7dd3f16a-3d74-4ae8-9cab-8b44bb843fe7">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']/@nullFlavor)">elga-cdabgd: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'])&lt;=1">elga-cdabgd: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:perfomer/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:perfomer/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']"
         id="tmp-cf29e30b-c19d-4b73-831b-a8a986fa9c16">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="@root='1.3.6.1.4.1.19376.1.3.3.1.7'">elga-cdabgd: @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.7' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdabgd: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>
</pattern>