<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.6.2.8
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.6.2.8">
   <title>SopInstance (DICOM Service Object Pair)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]
Item: (TMP SopInstance)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation
Item: (TMP SopInstance)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation"
         id="tmp-5f348be9-f9c0-4f5d-a3e1-a8881f7efa0e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="@classCode='DGIMG' ">(TMP SopInstance): Der Wert von @classCode MUSS 'DGIMG' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="@moodCode='EVN' ">(TMP SopInstance): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8'])&gt;=1 ">(TMP SopInstance): Element hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8'])&lt;=1">(TMP SopInstance): Element hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="count(hl7:id)&gt;=1 ">(TMP SopInstance): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="count(hl7:id)&lt;=1">(TMP SopInstance): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SopInstance): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="count(hl7:code)&lt;=1">(TMP SopInstance): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="count(hl7:text)&lt;=1">(TMP SopInstance): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP SopInstance): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']
Item: (TMP SopInstance)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']"
         id="tmp-fb777c4c-80cf-43d9-9c1e-f3215d871342">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP SopInstance): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="@root='2.16.840.1.113883.10.20.6.2.8'">(TMP SopInstance): @root MUSS den Wert '2.16.840.1.113883.10.20.6.2.8' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SopInstance): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation/hl7:id
Item: (TMP SopInstance)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation/hl7:id"
         id="tmp-60909678-65b1-4ac8-96e8-efc776c92323">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP SopInstance): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="string-length(@root)&gt;0">(TMP SopInstance): Attribut @root MUSS vorkommen.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="string-length(@extension)=0">(TMP SopInstance): Attribut @extension DARF NICHT vorkommen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation/hl7:code
Item: (TMP SopInstance)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation/hl7:code"
         id="tmp-88d128e8-d26a-42d5-944e-51feb829c554">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP SopInstance): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CD" oder der Datentype MUSS "CD" sein</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="@nullFlavor or (@codeSystem='1.2.840.10008.2.6.1' and @codeSystemName='DCMUID')">(TMP SopInstance): Der Wert von @codeSystem MUSS '1.2.840.10008.2.6.1' codeSystemName='DCMUID' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation/hl7:text
Item: (TMP SopInstance)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation/hl7:text"
         id="tmp-b914a2d1-0906-493b-bed7-e9174dc4f11b">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP SopInstance): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ED" oder der Datentype MUSS "ED" sein</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="@mediaType='application/dicom' ">(TMP SopInstance): Der Wert von @mediaType MUSS 'application/dicom' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="count(reference)&gt;=1 and not(reference/@nullFlavor)">(TMP SopInstance): Element reference ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="count(reference)&lt;=1">(TMP SopInstance): Element reference kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation/hl7:text/reference
Item: (TMP SopInstance)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation/hl7:effectiveTime
Item: (TMP SopInstance)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation/hl7:effectiveTime"
         id="tmp-f6c69008-cef6-46da-b8e5-be33e29d3ca9">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SopInstance): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TS" oder der Datentype MUSS "TS" sein</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>